@font-face {
  font-family: "custom-body-font";
  src: url("font/Tajawal-Regular.ttf") format("truetype");
}
@font-face {
  font-family: "custom-body-bold-font";
  src: url("font/Tajawal-Bold.ttf") format("truetype");
}
body {
  font-family: "custom-body-font", sans-serif;
  background-color: #f1f1f2;
  color: #000;
  width: 80vw;
  padding-left: 8vw;
  zoom: 1;
  transition: all 0.5s ease;
}

.blog body{
  background-color: #f1f1f2;
  font-family: "custom-body-font", sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
}

.blog-image {
  height: 100%;
  width: 100%;
  background-size: cover;
  margin-top: 20px;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #000;
  padding: 20px 0;
}
#fp-logo {
  width: 250px;
}
.header-button button {
  border: 1px solid #000;
  border-radius: 20px;
  width: 160px;
  padding: 8px 0;
  text-overflow: ellipsis;
  cursor: pointer;
  /* font-family: "custom-body-font", sans-serif; */
  font-size: 1.25rem;
  font-weight: 500;
}
.header-button button:hover {
  opacity: 0.6;
}
.video-section {
  text-align: center;
  padding-top: 50px;
  padding-bottom: 270px;
  padding-left: 5vw;
  width: 70vw;
}
video {
  width: 60%;
  height: 60%;
  outline: none;
  box-shadow: none;
}

video::poster {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
video::-webkit-media-controls {
  opacity: 0.6; /* set opacity of control bar */
  background-color: transparent; /* set background color of control bar */
}

video::-webkit-media-controls-enclosure {
  overflow: hidden; /* hide overflow */
}
.header-text {
  line-height: 1.2;
  font-size: 3.5rem;
}
#video-text {
  margin-top: 20px;
}
#location-text {
  font-size: 1.3rem;
}
#rotatingIcon {
  position: fixed;
  bottom: 2px;
  left: 45%;
  width: 140px;
  height: 140px;
  opacity: 0.6;
}

table {
  border-collapse: collapse;
  width: 100%;
}

th,
td {
  padding: 4px;
  text-align: left;
}
.first-column {
  width: 20%;
  vertical-align: top;
}
.second-column {
  line-height: 1.3;
  font-size: 2rem;
  margin-top: 30px;
  margin-bottom: 20px;
  margin-left: 15%;
  margin-right: 5%;
}
.second-column a {
  /* font-family: "custom-button-font"; */
  font-size: 1.5rem;
  font-weight: 600;
}
a {
  color: black;
  text-decoration: none;
}
.second-column a:hover {
  text-decoration: underline;
}
tr {
  border-top: 1px solid black;
}
footer {
  padding: 20px 0;
  text-align: right;
  line-height: 1.5;
}
h2 {
  line-height: 1.2;
  font-size: 3rem;
  font-weight: 500;
  margin-top: 30px;
  margin-bottom: 20px;
}
#fp-service {
  width: 60%;
  padding: 80px 0;
  text-align: center;
}
#what-we-do, #how-we-do-it {
  font-family: "custom-body-bold-font";
  font-size: 1.7rem;
  font-weight: 600;
  padding-top: 20px;
  padding-bottom: 100px;
  margin-left: 15%;
  margin-right: 5%;
}
.mobile-button {
  display: none;
}

.container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
  margin-top: 3vh;
  margin-bottom: 20vh;
}

.card-container {
  width: 620px;
  height: 700px;
  margin-top: auto;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 3vh;
  overflow: hidden;
}
.post-date{
  font-size: medium;
  font-weight: 500;
  padding-left: 8px;
  margin: 0 0 5px 0;
  background-color: #f1f1f2;
}
.card-image img {
  height: 350px;
  width: 100%;
  background-size: cover;
  margin-top: -5px;
}

.card-body {
  display: flex;
  flex-direction: column;
  align-items: start;
  padding: 10px 50px 16px 50px;
  min-height: 200px;
}

.card-body h1 {
  font-size: xx-large;
  margin: 0 0;
  line-height: 1.2;
  padding-bottom: 10px;
}
.card-body p {
  font-size: x-large;
  margin: 8px 0 16px 0;
  line-height: 1.2;
}
.card-subtitle {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 8;
  -webkit-box-orient: vertical;
}
.blog-container {
  padding-top: 10vh;
  width: 60%;
  align-items: center;
  padding-left: 15vw;
}
.blog-title {
  font-size: 45px;
  text-align: center;
  font-weight: 700;
}
.blog-body {
  font-size: x-large;
}
.blog-body h2 {
  font-size: 26px;
  font-weight: 700;
}
@media (max-width: 1500px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #rotatingIcon {
    left: 44%;
  }
  .card-container {
    width: 560px;
    height: 700px;
  }
  .card-image img {
    height: 320px;
  }
  .card-body h1 {
    font-size: xx-large;
  }
}
@media (max-width: 1300px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #rotatingIcon {
    left: 43%;
  }
  /* .blog-image {
    height: 400px;
  } */
  .card-container {
    width: 480px;
    height: 550px;
  }
  .card-image img {
    height: 260px;
  }
  .card-body h1 {
    font-size: x-large;
  }
  .card-body p {
    font-size: large;
  }
  .blog-container {
    width: 75%;
    padding-left: 10vw;
  }
}
@media (max-width: 1100px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #rotatingIcon {
    left: 42%;
  }
  #what-we-do, #how-we-do-it {
    font-size: 1.3rem;
  }
  .container {
    grid-template-columns: 1fr;
  }
  .blog-title {
    font-size: 30px;
  }
  .blog-body {
    font-size: large;
  }
  .blog-body h2 {
    font-size: 22px;
  }
  /* .blog-image {
    height: 350px;
  } */
  .blog-container {
    padding-top: 5vh;
  }
}
@media (max-width: 900px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #rotatingIcon {
    left: 42.5%;
  }
  /* .blog-image {
    height: 300px;
  } */
}
@media (max-width: 820px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #rotatingIcon {
    left: 42%;
  }
  .video-section {
    width: 100%;
    padding-left: 0;
  }
  /* video {
    width: 80vw;
    height: 50vw;
  } */
  #fp-service {
    width: 55vw;
    padding: 80px 0;
    text-align: center;
  }
  .header-button button {
    width: 100px;
    font-size: 0.8rem;

  }
}
@media (max-width: 720px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #fp-logo {
    width: 30vw;
  }
  button {
    width: 20vw;
    font-size: 1rem;
  }
  .header-text {
    font-size: 2rem;
  }
  #location-text {
    font-size: 1rem;
  }
  #rotatingIcon {
    left: 42.5%;
    width: 13vw;
    height: 13vw;
  }
  .second-column {
    font-size: 1.5rem;
    line-height: 1.3;
  }
  .second-column a {
    font-size: 1.2rem;
  }
  h2 {
    font-size: 2rem;
  }
  .video-section {
    padding-bottom: 7vh;
  }
}
@media (max-width: 620px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  video{
    width: 100%;
  }
  header {
    padding: 10px 0;
  }
  .card-container {
    width: 320px;
    height: 450px;
  }
  .card-image img {
    height: 170px;
  }
  .card-body h1 {
    font-size: large;
  }
  .card-body p {
    font-size: medium;
  }
  .post-date{
    font-size: small;
  }
}
@media (max-width: 520px) {
  /* For screens smaller than 820px, reduce the zoom to 0.8 */
  #fp-logo {
    width: 45vw;
    margin-left: 43%;
  }
  button {
    font-size: 0.8rem;
  }
  /* .video-section {
    padding-top: 10px;
    padding-bottom: 50px;
  } */
  .header-text {
    font-size: 1.5rem;
  }
  #location-text {
    font-size: 0.9rem;
  }
  #rotatingIcon {
    left: 41.5%;
    width: 18vw;
    height: 18vw;
  }
  .second-column {
    font-size: 1.2rem;
    line-height: 1.3;
  }
  .second-column a {
    font-size: 0.9rem;
  }
  h2 {
    font-size: 1.5rem;
  }
  #what-we-do, #how-we-do-it {
    font-size: 1.1rem;
    line-height: 1.3;
  }
  footer {
    font-size: 0.7rem;
  }
  .mobile-button {
    display: block;
    padding-top: 20px;
  }
  .mobile-button button {
    border: 1px solid #000;
    border-radius: 20px;
    width: 160px;
    padding: 8px 0;
    text-overflow: ellipsis;
    cursor: pointer;
    /* font-family: "custom-body-font", sans-serif; */
    font-size: 1.25rem;
    font-weight: 500;
  }
  .mobile-button button:hover {
    opacity: 0.6;
  }
  .header-button {
    display: none;
  }
  td {
    width: 80vw;
    display: block;
  }
  .first-column {
    width: 100%;
  }
  .second-column {
    margin-top: 10px;
    margin-bottom: 5px;
    margin-left: 0;
    margin-right: 0;
  }
  #what-we-do, #how-we-do-it  {
    padding-bottom: 40px;
    margin-left: 0;
    margin-right: 0;
  }
  #fp-service {
    padding: 20px 0;
    width: 90%;
  }
  .blog-title {
    font-size: 22px;
  }
  .blog-body {
    font-size: medium;
  }
  .blog-body h2 {
    font-size: 18px;
  }
  .blog-container {
    width: 85%;
    padding-left: 5vw;
  }
  .card-container {
    width: 98%;
  }
  .card-body {
    padding: 10px 20px 16px 20px;
  }
}